require( "scripts/style.lua" );

SliderFont = {
  standardFont,
  24,
  BlackColor
};


MakeDialog
{
	Bitmap
	{
		name="gameOverBackground",
		image="backgrounds/dialog",
		x = kCenter,
		y = kCenter,
		
		Text
		{
			font = DialogBodyFont,
			name = "mainText",
			x=kCenter,y=0,
			w=300,h=kMax-80,
			flags = kVAlignCenter + kHAlignCenter,
			label = "game_over",
		};

		Button
		{
			x=kCenter,
			y=375,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="back",
			label="ok",
			type = kPush,
			rolloversound = "assets/audio/sfx/dialog_roll.ogg",
			sound = "assets/audio/sfx/dialog_click.ogg",
			command =
				function()
					PopModal();
				end
		},
	},
}